Package: org.codehaus.groovy.tools.shell

## [Groovy] Class ExitNotification

- org.codehaus.groovy.tools.shell.ExitNotification

- Notification to signal the shell to exit.

  Authors:
    Jason Dillon

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `code` The exit code.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ExitNotification (int code)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Error` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`
    `class Throwable` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### final int code

      The exit code.

  - ### Constructor Detail

    - #### ExitNotification(int code)